<?php
App::uses('EvBlogAppModel', 'EvBlog.Model');

class BlogCategory extends EvBlogAppModel
{
	public $actsAs = array(
		'Routable.Routable' => array(
			'alias'=>'blog-category/:displayField',
			'actual'=>':plugin/:controller/view/:primaryKey'
		),
		'MetaData.Meta'
	);

	public $displayField = 'name';

	public $hasMany = array(
		'BlogCategory' => array(
			'className' => 'EvBlog.BlogCategory'
		)
	);

	public $validate = array(
		'name' => array(
			'notempty' => array(
				'rule' => array('notempty')
			),
		)
	);


}
