<blockquote class="blogs__blog">

    <?php if (! empty($blog['ListingImage'])): ?>

        <?php
            $img_path = '../' . $blog['ListingImage']['0']['filepath'];
            $img_alt = (! empty($blog['ListingImage']['0']['alt'])) ? $blog['ListingImage']['0']['alt'] : $blog['BlogPost']['name'];
        ?>

    <?php else: ?>

        <?php
            $img_path = '..' . DS . 'img' . DS . 'no-image.png';
            $img_alt = $blog['BlogPost']['name'];
        ?>

    <?php endif; ?>

    <?php
        $image = $this->Image->resize($img_path, array(
            'width' => 200,
            'height' => 145,
            'crop' => true,
            'alt' => $img_alt
        ));

        echo $this->Html->link(
            $image,
            array(
                'plugin' => 'ev_blog',
                'controller' => 'blog_posts',
                'action' => 'view',
                $blog['BlogPost']['id']
            ),
            array(
                'escape' => false
            )
        );
    ?>

    <div class="blogs-col">

        <div class="blogs__blog__date">
            <?php echo $this->Time->format("jS F Y", $blog['BlogPost']['posted']); ?>
        </div>
        <h2 class="blogs__blog__title">
            <?php
                echo $this->Html->link(
                    $blog['BlogPost']['name'],
                    array(
                        'plugin' => 'ev_blog',
                        'controller' => 'blog_posts',
                        'action' => 'view',
                        $blog['BlogPost']['id']
                    )
                );
            ?>
        </h2>

        <div class="blogs__blog__body">
        	<p>
        		<?php echo stripslashes($blog['BlogPost']['snippet']); ?>
        		<?php
        			echo $this->Html->link('Read More', array(
        				'plugin' => 'ev_blog',
        				'controller' => 'blog_posts',
        				'action' => 'view',
        				$blog['BlogPost']['id']
        			));
        		?>
        	</p>
        </div>

        <div class="blogs__blog__meta">

            <dl class="blog_meta">
                <dt class="blog_meta__author">
                    Author
                </dt>
                <dd>
                    <?php echo $blog['BlogPost']['author']; ?>
                </dd>
                <?php
                    $comment_url = Router::url(
                        array(
                            'plugin' => 'ev_blog',
                            'controller' => 'blog_posts',
                            'action' => 'view',
                            $blog['BlogPost']['id']
                        )
                    ) . '#blog-comments';
                ?>
                <dt class="blog_meta__comments">
                    <?php
                        echo $this->Html->link(
                            'comments',
                            $comment_url,
                            array(
                                'escape' => false
                            )
                        );
                    ?>
                </dt>
                <dd>
                    <?php
                        echo $this->Html->link(
                            (isset($blog['BlogComment'])) ? count($blog['BlogComment']) : '0',
                            $comment_url,
                            array(
                                'escape' => false
                            )
                        );
                    ?>
                </dd>

                <dt class="blog_meta__category">Category</dt>
                <?php if (isset($blog['BlogCategory']['name']) && ! empty($blog['BlogCategory']['name'])): ?>
                    <dd>
                        <?php
                            echo $this->Html->link(
                                $blog['BlogCategory']['name'],
                                array(
                                    'plugin' => 'ev_blog',
                                    'controller' => 'blog_categories',
                                    'action' => 'view',
                                    $blog['BlogCategory']['id']
                                )
                            );
                        ?>
                    </dd>
                <?php else: ?>
                    <dd>
                        <?php
                            echo $this->Html->link(
                                'Uncategorised',
                                array(
                                    'plugin' => 'ev_blog',
                                    'controller' => 'blog_categories',
                                    'action' => 'view',
                                    0
                                )
                            );
                        ?>
                    </dd>
                <?php endif; ?>
            </dl>

        </div>
    </div>
</blockquote>